Nabd Messaging
  1. Send with Media
Nabd Messaging
  • Getting Started
  • Send Message (WhatsApp)
    • Send plain text (WhatsApp)
      POST
  • Send Message (Telegram)
    • Send plain text (Telegram, by username)
      POST
    • Send plain text (Telegram, by user ID)
      POST
  • Send with Template
    • Send with template (WhatsApp)
      POST
    • Send with template (Telegram)
      POST
  • Send with Media
    • Send image or document (WhatsApp)
      POST
    • Send image or document (Telegram)
      POST
  • Managing Apps
  1. Send with Media

Send image or document (WhatsApp)

POST
/api/create-message

Send a file with caption via WhatsApp#

Endpoint: POST /api/create-message
Channel: WhatsApp (default)

Request body#

ParameterTypeRequiredDescription
authkeystringYesUser auth key
appkeystringYesApp key (WhatsApp device)
tostringYesRecipient phone number
messagestringYesCaption text (or empty string)
filestringYesPublic HTTP/HTTPS URL. Allowed: jpg, jpeg, png, webp, pdf, docx, xlsx, csv, txt. Max 10MB

Error 403#

"File URL must be http or https"
"file type should be jpg,jpeg,png,webp,pdf,docx,xlsx,csv,txt"
"File size must not exceed 10MB"
"File URL could not be verified"

Request

Header Params

Body Params application/json

Examples

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/api/create-message' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data-raw '{
  "authkey": "{{authkey}}",
  "appkey": "{{appkey}}",
  "to": "966501234567",
  "message": "Caption text",
  "file": "https://example.com/image.jpg"
}'
Response Response Example
{}
Modified at 2026-03-03 23:38:15
Previous
Send with Media
Next
Send image or document (Telegram)
Built with